MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030594Open CASCADE[OCCT] OCCT:Data Exchangepublic2019-03-20 09:552019-04-08 12:18
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030594: Data Exchange - access violation within IGESGeom_BSplineCurve constructor
DescriptionIGESGeom_BSplineCurve constructor reads Handle without NULL check leading to access violation.
Steps To Reproducebugs iges bug133_1
bugs iges bug28694_6
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029181assignedapn Jenkins Certification Tool - testing with enabled exceptions (undefined No_Exception) 

-  Notes
(0083128)
git (administrator)
2019-03-20 09:57

Branch CR30594 has been created by kgv.

SHA-1: 9f947c8715e393e463162ce9b7a4edc514889a79


Detailed log of new commits:

Author: kgv
Date: Wed Mar 20 09:50:52 2019 +0300

    0030594: Data Exchange - access violation within IGESGeom_BSplineCurve constructor
    
    Added NULL check.
(0083140)
git (administrator)
2019-03-20 13:17

Branch CR30594 has been updated forcibly by kgv.

SHA-1: 896219a02f424b4618e06f1951ff0757f9c4c039
(0083143)
kgv (developer)
2019-03-20 15:22

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30594-master-KGV/ [^]
(0083145)
gka (developer)
2019-03-20 15:40

Branch CR30594 was reviewed
(0083147)
apn (administrator)
2019-03-20 16:01

Combination -
OCCT branch : CR30594
master SHA - 896219a02f424b4618e06f1951ff0757f9c4c039
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - b3958866f73826c2eaaa9470209980d22e210fba
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16600.470000000096 / 16593.449999999997 [+0.04%]
Products
Total CPU difference: 9132.31000000006 / 9102.210000000046 [+0.33%]
Windows-64-VC14:
OCCT
Total CPU difference: 18032.109375 / 17984.46875 [+0.26%]
Products
Total CPU difference: 10577.75 / 10609.28125 [-0.30%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083493)
git (administrator)
2019-04-08 12:18

Branch CR30594 has been deleted by inv.

SHA-1: 896219a02f424b4618e06f1951ff0757f9c4c039

- Related Changesets
occt: master de07af82
Timestamp: 2019-03-20 06:50:52
Author: kgv
Committer: apn
Details ] Diff ]
0030594: Data Exchange - access violation within IGESGeom_BSplineCurve constructor

Added NULL check.
mod - src/IGESGeom/IGESGeom_BSplineCurve.cxx Diff ] File ]
mod - tests/de/iges_2/E4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-20 09:55 kgv New Issue
2019-03-20 09:55 kgv Assigned To => gka
2019-03-20 09:57 git Note Added: 0083128
2019-03-20 09:59 kgv Relationship added child of 0029181
2019-03-20 10:01 kgv Steps to Reproduce Updated View Revisions
2019-03-20 10:32 gka Status new => resolved
2019-03-20 13:17 git Note Added: 0083140
2019-03-20 15:22 kgv Note Added: 0083143
2019-03-20 15:40 gka Note Added: 0083145
2019-03-20 15:40 gka Assigned To gka => bugmaster
2019-03-20 15:40 gka Status resolved => reviewed
2019-03-20 16:01 apn Test case number => Not needed
2019-03-20 16:01 apn Note Added: 0083147
2019-03-20 16:01 apn Status reviewed => tested
2019-03-24 18:54 apn Changeset attached => occt master de07af82
2019-03-24 18:54 apn Assigned To bugmaster => apn
2019-03-24 18:54 apn Status tested => verified
2019-03-24 18:54 apn Resolution open => fixed
2019-04-08 12:18 git Note Added: 0083493


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker